Issue 117625

Summary: Event bindings can't be removed
Product: General Reporter: Mathias_Bauer
Component: codeAssignee: Frank Schönheit <frank.schoenheit>
Status: CLOSED FIXED QA Contact: issues@framework <issues>
Severity: Normal    
Priority: P3 CC: arielch, issues, oliver.brinzing, phoenix.wanglf
Version: DEV300m103Keywords: regression
Target Milestone: 3.4.0   
Hardware: PC   
OS: Windows NT   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description Mathias_Bauer 2011-03-31 10:45:39 UTC
tools - customize - events
Configure a macro event binding
close dialog
reopen dialog
try to remove the event binding -> doesn't work

reason:

sfx2/source/notify/eventsupplier.cxx

SfxEvents_Impl::replacebyName does not accept empty Sequence<PropertyValue> anymore, it treats that as an illegal argument

In a non-pro version you get tons of assertions for this as usually all bindings will be set in the dialog at once.
Comment 1 Oliver Brinzing 2011-03-31 13:50:47 UTC
.
Comment 2 Frank Schönheit 2011-04-01 07:17:25 UTC
fixed in CWS fs34c
Comment 3 Oliver-Rainer Wittmann 2012-06-13 12:26:29 UTC
getting rid of value "enhancement" for field "severity".
For enhancement the field "issue type" shall be used.
Comment 4 Li Feng Wang 2012-06-20 05:53:30 UTC
can work with AOO r1351567 (BuildBot)